# Interface FormInfoJson

Defines the form configuration when a user edits a feature. See https://developers.arcgis.com/web-map-specification/objects/formInfo/.

interface FormInfoJson {
description?: string;
expressionInfos?: FormExpressionInfoJson[];
formElements?: (
| FormAttachmentElementJson
| FormFieldElementJson
| FormGroupElementJson
| FormRelationshipElementJson)[];
title?: string;
}

#####
Index

### Properties

description?
expressionInfos?
formElements?
title?

##
Properties

### `Optional` description

description?: string

A string that appears in the body of the form as a description.

### `Optional` expressionInfos

expressionInfos?: FormExpressionInfoJson[]

List of Arcade expressions used in the form.

### `Optional` formElements

formElements?: (
| FormAttachmentElementJson
| FormFieldElementJson
| FormGroupElementJson
| FormRelationshipElementJson)[]

An array of formElement objects that represent an ordered list of form elements.

### `Optional` title

title?: string

A string that appears at the top of the form as a title.